from fastapi import APIRouter, Depends
import databases
import cruds.doc as doc
import schemas
import models

models.Base.metadata.create_all(databases.engine)
router = APIRouter()

get_db = databases.get_db


@router.post('/{external_id}')
def insert_doc(request: schemas.Doc, external_id: str, db=Depends(get_db)):
    return doc.create_doc(db, request, external_id)
